"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b1000>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b1090>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b1120>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b11b0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b1240>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b12d0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b1360>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b13f0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b1480>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b1510>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b15a0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b1630>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b16c0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b1750>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b17e0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b1870>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b1900>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b1990>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b1a20>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b1ab0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b1b40>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b1bd0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b1c60>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b1cf0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b1e10>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b1d80>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b1ea0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b1f30>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b1fc0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b2050>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b20e0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b2170>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b2200>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b2290>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b2320>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b23b0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b2440>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b24d0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b2560>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b25f0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b2680>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b2710>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b27a0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b2830>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b28c0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b2950>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b29e0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b2a70>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b2b00>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b2b90>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b2c20>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b2cb0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b2d40>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b2dd0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b2e60>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b2ef0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b2f80>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b3010>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b30a0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b3130>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b31c0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b3250>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b32e0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b3370>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b3400>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b35b0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b3490>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b3640>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b36d0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b3760>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b37f0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b3880>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b39a0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b3910>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b3a30>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b3ac0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b3b50>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b3c70>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b3be0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b3d00>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b3d90>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b3e20>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b3eb0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3b3f40>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d3c4040>)]
name: str = 'fr_HOCCN'
